CREATE TABLE gtg_ac_mdlqry (
    ID                       NUMBER(18, 0) ,
    MODEL_QUERY_NAME         VARCHAR2(1024)    NOT NULL,
    IS_VALID                 NUMBER(1, 0)      NOT NULL,
    BASE_LANGUAGE            VARCHAR2(16)      NOT NULL,
    CONTENTS                 CLOB          ,
    CHECKSUM                 VARCHAR2(1024),
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ID                       NUMBER(18, 0) ,
    MODEL_QUERY_NAME         VARCHAR2(1024)    NOT NULL,
    IS_VALID                 NUMBER(1, 0)      NOT NULL,
    BASE_LANGUAGE            VARCHAR2(16)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONTENTS                 CLOB          ,
    CHECKSUM                 VARCHAR2(1024),
    CONSTRAINT pk_gtg_ac_mdlqry PRIMARY KEY (ID, ID)
);
